[Patch] MIPS:Add a note about recommended binutils version to install.texi

David Daney ddaney@avtrex.com
Mon Mar 5 06:11:00 GMT 2007


Unfortunately there is no released version of GNU binutils that works 
well with GCC 4.2/4.3.  But since it looks as though a 4.2 release is 
imminent, I think it is a good idea to recommend a binutils CVS snapshot 
made after Nov. 9, 2006.

The assembler bug that was fixed effects jump tables emitted into comdat 
sections.  This is done by the C++ compiler for certain switch 
statements.  I don't know if 4.0/4.1 are affected by this problem as I 
never do testing with those versions.  If they are, we might want to put 
this on those branches as well.

OK to commit to 4.2 and trunk?

2007-03-04  David Daney  <ddaney@avtrex.com>

    * doc/install.texi (mips-*-*): Change recommended binutils
    version.
   

-------------- next part --------------
A non-text attachment was scrubbed...
Name: mips-install.diff
Type: text/x-patch
Size: 1103 bytes
Desc: not available
URL: <http://gcc.gnu.org/pipermail/gcc-patches/attachments/20070305/3c9b6a62/attachment.bin>


More information about the Gcc-patches mailing list